# generator-umbraco-cms
downloads, nuget restores, builds and installs umbraco 7
End result, you load visual studio and click run and never see the install wizard.

> A Yeoman generator for umbraco 7 CMS

## Installation

First you need install [yeoman](http://yeoman.io/).

```bash
npm install -g yo
```

Then install the generator.

```bash
npm install -g yo umbraco-cms
```

## Usage

Create a directory for your new app.

```bash
mkdir new-umbraco; cd new-umbraco/
```

Generate your app and follow the prompts.

```bash
yo umbraco-cms
```

Load visual studio and run Umbraco! 💥


## Future plans

I'd like feedback. Is it worth adding a way to specify the database type?
